Name: cockpit-msvsphere-usbguard
Version: 1.0.0
Release: 1%{?dist}
Summary: Cockpit MSVSphere plugin provides UI for USBGuard utility
License: LGPL-2.1-or-later

Source0: https://git.inferitos.ru/internal/cockpit-msvsphere-usbguard/archive/%{name}-%{version}.tar.xz
Source1: https://git.inferitos.ru/internal/cockpit-msvsphere-usbguard/archive/%{name}-node-%{version}.tar.xz

ExclusiveArch: %{nodejs_arches} noarch

BuildArch: noarch
BuildRequires: nodejs >= 18
BuildRequires: make
BuildRequires: libappstream-glib-devel
BuildRequires: gettext

Requires: cockpit-bridge
Requires: cockpit-msvsphere-base
Requires: usbguard

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.13
Provides: bundled(npm(@patternfly/react-core)) = 5.4.14
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.16
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.6
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(tslib)) = 2.8.1

%description
Cockpit MSVSphere plugin provides UI for USBGuard utility

%prep
%autosetup -n %{name} -a 1
rm -rf dist

%build
NODE_ENV=production make

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%files
%license LICENSE dist/usbguard.js.LEGAL.txt
%{_datadir}/cockpit/*

%changelog
* Tue May 20 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-1
- Rebuilt for MSVSphere 9.5

* Tue May 20 2025 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-1
- Initial build for MSVSphere
